# Send a customs declaration for this online transaction's shipment

Endpoint: POST /api/v1/transactions/{transaction_id}/shippo_customs_declaration
Version: 0.1.0
Security: APIKey

## Path parameters:

  - `transaction_id` (integer, required)

## Header parameters:

  - `Trustap-User` (string)
    Required in client flows, where you make API calls on behalf of another Trustap user.

## Request fields (application/json):

  - `certify` (boolean, required)
    Example: true

  - `certify_signer` (string, required)
    Example: "Joe Doe"

  - `description` (string, required)
    Example: "T-Shirt"

  - `eel_pfc` (string)

  - `incoterm` (string)
    Example: "DDU"

  - `mass_unit` (string, required)
    Example: "lb"

  - `net_weight` (number, required)
    Example: 5

  - `non_delivery_option` (string, required)
    Enum: "return", "abandon"

  - `origin_country` (string, required)
    Example: "US"

  - `quantity` (integer, required)
    Example: 20

  - `value_amount` (string, required)
    Example: "200"

  - `value_currency` (string, required)
    Example: "USD"

## Response 400 fields (application/json):

  - `code` (string, required)
    Example: "negative_price"

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the code field should be used to determine
the type of error that occurred, as the text in the error
field may change unexpectedly.
    Example: "`price` cannot be negative"


## Response 204 fields
